function Epoc_Acquisition

clear all;
clc;
clf;

% constants
extensionType = sprintf('.csv');
destinationFolder = sprintf('AcquisitionData');

computerName = input('Which computer is being used? ', 's');
patient = input('What is the name of the patient? ', 's');
state = input('What is the target mental state? ', 's');
dateName = input('What is the date (MMDDYY)? ', 's');

filename = sprintf('%s/%s_%s_%s_%s', destinationFolder, computerName, patient, state, dateName);

prompt = sprintf('echo 8 second relaxation acquisition [Press any key to continue]');
system(prompt);
kbhit();
Epoc_PreProcess(filename, extensionType);

repeat = 'y';

while(repeat == 'y')

	prompt = sprintf('echo Full 25 second acquisition [Press any key to continue]');
	system(prompt);
	kbhit();
	Epoc_Process(filename, extensionType);

	% make sure motors are off in the end
	command = sprintf('./connect 1');
	system(command);

	PostProcess(filename);
	
	repeat = input('Would you like to repeat the trial? [y/n]\nNote: this will erase the data from the previous trial');
endwhile

end
