function figureNum = PSD_ReferenceGraph(state, person, averageData, referenceData, figureNum);

% channel locations in the data
GYROX = 1;
GYROY = 2;
F3 = 3;
F4 = 4;
F7 = 5;
F8 = 6;
FC5 = 7;
FC6 = 8;
AF3 = 9;
AF4 = 10;
O1 = 11;
O2 = 12;
P7 = 13;
P8 = 14;
T7 = 15;
T8 = 16;

% AF channels

% AF3
% produce a graph with the limit shown over
% the data gathered

limit = referenceData(2,AF3);
limitData = zeros(rows(averageData));
for i = 1:rows(averageData)
	limitData(i) = limit;
end

figure(figureNum)
figureNum = figureNum  + 1;

hold on;
plot(1:.25:25,averageData(:,AF3), 'k-');
plot(limitData*.5, 'r-');
plot(limitData, 'b-');
plot(limitData*1.5, 'g-');

titlestring = sprintf('AF3 %s - %s', state, person);
title(titlestring);
legend('AF3', 'limit1', 'limit2', 'limit3');
axis([0 25 0 60000])
xlabel('Time (s)');
ylabel('mean(PSD(bandpassed data))');

% AF4
% produce a graph with the limit shown over
% the data gathered

limit = referenceData(2,AF4);
limitData = zeros(rows(averageData));
for i = 1:rows(averageData)
	limitData(i) = limit;
end


figure(figureNum)
figureNum = figureNum  + 1;

hold on;
plot(1:.25:25,averageData(:,AF4), 'k-');
plot(limitData, 'r-');
plot(limitData*.5, 'r-');
plot(limitData, 'b-');
plot(limitData*1.5, 'g-');

titlestring = sprintf('AF4 %s - %s', state, person);
title(titlestring);
legend('AF4', 'limit1', 'limit2', 'limit3');
axis([0 25 0 60000])
xlabel('Time (s)');
ylabel('mean(PSD(bandpassed data))');
end
