function [GYROX GYROY F3 F4 F7 F8 FC5 FC6 AF3 AF4 O1 O2 P7 P8 T7 T8 concentration] = ReferencedAverage(filename,GYROXband, GYROYband, F3band, F4band, F7band, F8band, FC5band, FC6band, AF3band, AF4band, O1band, O2band, P7band, P8band, T7band, T8band)

referenceData = dlmread(filename, ',');

GYROX = refAvg(GYROXband(:),referenceData(1,1));
GYROY = refAvg(GYROYband(:),referenceData(1,2));
F3 = refAvg(F3band(:),referenceData(1,3));
F4 = refAvg(F4band(:),referenceData(1,4));
F7 = refAvg(F7band(:),referenceData(1,5));
F8 = refAvg(F8band(:),referenceData(1,6));
FC5 = refAvg(FC5band(:),referenceData(1,7));
FC6 = refAvg(FC6band(:),referenceData(1,8));
AF3 = refAvg(AF3band(:),referenceData(1,9));
AF4 = refAvg(AF4band(:),referenceData(1,10));
O1 = refAvg(O1band(:),referenceData(1,11));
O2 = refAvg(O2band(:),referenceData(1,12));
P7 = refAvg(P7band(:),referenceData(1,13));
P8 = refAvg(P8band(:),referenceData(1,14));
T7 = refAvg(T7band(:),referenceData(1,15));
T8 = refAvg(T8band(:),referenceData(1,16));

% determine concentration
concentration = false;
limitData = 2; % standard deviation

limitLevel1 = .5;
limitLevel2 = 1.0;
limitLevel3 = 1.5;

% single-channel concentration test
if(AF3 > limitLevel3*referenceData(limitData,9))
	AF3_concentration = .8;
elseif(AF3 > limitLevel2*referenceData(limitData,9))
	AF3_concentration = .6;
elseif(AF3 > limitLevel1*referenceData(limitData,9))
	AF3_concentration = .4;
else
	AF3_concentration = 0;
end

if(AF4 > limitLevel3*referenceData(limitData,10))
	AF4_concentration = .8;
elseif(AF4 > limitLevel2*referenceData(limitData,10))
	AF4_concentration = .6;
elseif(AF4 > limitLevel1*referenceData(limitData,10))
	AF4_concentration = .4;
else
	AF4_concentration = 0;
end

concentration = max(AF3_concentration, AF4_concentration);
%{
if concentration > 0
	yell = sprintf('\n~~~~~~~~~~~~~~~~~~~~~~~\nCONCENTRATING!\n~~~~~~~~~~~~~~~~~~~~~~~~~~~~\n');
	printf('%s', yell);
	command = sprintf('./connect w');
	system(command);
end
%}
end
