function [DATA] = bandpassFiltFilt(data, Fs, cutoff1, cutoff2)

%period = 1 / Fs;
%ticks = (1:numel(data))*period;

offset1 = cutoff1 / 10;
offset2 = cutoff2 / 10;

%Declare variables for the six points of F:
P1 = 0 ;
P2 = (cutoff1-offset1)/(Fs/2);
P3 = cutoff1 / (Fs/2);
P4 = cutoff2 / (Fs/2);
P5 = (cutoff2+offset2)/(Fs/2);
P6 = 1;

% design specifications for a band pass filter
F = [P1 P2 P3 P4 P5 P6];
A = [0 0 1 1 0 0];

% twenty point finite impulse response
%flt = fir2(20,F,A);
flt = [0.0023 0.0067 0.0050 -0.0033 0.0074 0.0211 -0.0490 -0.1706 -0.1220 0.1468 0.3145 0.1468 -0.1220 -0.1706 -0.0490 0.0211 0.0074 -0.0033 0.0050 0.0067 0.0023];


DATA = filtfilt(flt,1,data);

%Plot the original and the filtered data
%subplot(2,1,1), plot(data), subplot(2,1,2), plot(DATA);

end
