function [GYROXdata, GYROYdata, F3data, F4data, F7data, F8data, FC5data, FC6data, AF3data, AF4data, O1data, O2data, P7data, P8data, T7data, T8data] = splitData(currentFile, previousFile0, previousFile1, previousFile2)


acquisitionTime = .25;
headsetFrequency = 128;
stop = headsetFrequency*acquisitionTime;


%The script will then split that matrix into its components: the 4 'F'
%   channels, the 2 'FC' channels, the 2 'AF' channels, the 2 'O' channels,
%   the 2 'P' channels, and the 2 'T' channels.  

% channel locations in the data
GYROX = 1;
GYROY = 2;
F3 = 3;
F4 = 4;
F7 = 5;
F8 = 6;
FC5 = 7;
FC6 = 8;
AF3 = 9;
AF4 = 10;
O1 = 11;
O2 = 12;
P7 = 13;
P8 = 14;
T7 = 15;
T8 = 16;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  P2 P1 P0 C
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% P2
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Get the data into an array
data = dlmread(previousFile2, ',');

%Transpose the matrix
data2 = data';

%Split the matrix data2 into its 6 parts
GYROXdata(1:stop) = data2(GYROX,:);
GYROYdata(1:stop) = data2(GYROY,:);
F3data(1:stop) = data2(F3,:);
F4data(1:stop) = data2(F4,:);
F7data(1:stop) = data2(F7,:);
F8data(1:stop) = data2(F8,:);
FC5data(1:stop) = data2(FC5,:);
FC6data(1:stop) = data2(FC6,:);
AF3data(1:stop) = data2(AF3,:);
AF4data(1:stop) = data2(AF4,:);
O1data(1:stop) = data2(O1,:);
O2data(1:stop) = data2(O2,:);
P7data(1:stop) = data2(P7,:);
P8data(1:stop) = data2(P8,:);
T7data(1:stop) = data2(T7,:);
T8data(1:stop) = data2(T8,:);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% P1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Get the data into an array
data = dlmread(previousFile1, ',');

%Transpose the matrix
data2 = data';

%Split the matrix data2 into its 6 parts
GYROXdata(stop+1:stop*2) = data2(GYROX,:);
GYROYdata(stop+1:stop*2) = data2(GYROY,:);
F3data(stop+1:stop*2) = data2(F3,:);
F4data(stop+1:stop*2) = data2(F4,:);
F7data(stop+1:stop*2) = data2(F7,:);
F8data(stop+1:stop*2) = data2(F8,:);
FC5data(stop+1:stop*2) = data2(FC5,:);
FC6data(stop+1:stop*2) = data2(FC6,:);
AF3data(stop+1:stop*2) = data2(AF3,:);
AF4data(stop+1:stop*2) = data2(AF4,:);
O1data(stop+1:stop*2) = data2(O1,:);
O2data(stop+1:stop*2) = data2(O2,:);
P7data(stop+1:stop*2) = data2(P7,:);
P8data(stop+1:stop*2) = data2(P8,:);
T7data(stop+1:stop*2) = data2(T7,:);
T8data(stop+1:stop*2) = data2(T8,:);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% P0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Get the data into an array
data = dlmread(previousFile0, ',');

%Transpose the matrix
data2 = data';

%Split the matrix data2 into its 6 parts
GYROXdata(1+(stop*2):stop*3) = data2(GYROX,:);
GYROYdata(1+(stop*2):stop*3) = data2(GYROY,:);
F3data(1+(stop*2):stop*3) = data2(F3,:);
F4data(1+(stop*2):stop*3) = data2(F4,:);
F7data(1+(stop*2):stop*3) = data2(F7,:);
F8data(1+(stop*2):stop*3) = data2(F8,:);
FC5data(1+(stop*2):stop*3) = data2(FC5,:);
FC6data(1+(stop*2):stop*3) = data2(FC6,:);
AF3data(1+(stop*2):stop*3) = data2(AF3,:);
AF4data(1+(stop*2):stop*3) = data2(AF4,:);
O1data(1+(stop*2):stop*3) = data2(O1,:);
O2data(1+(stop*2):stop*3) = data2(O2,:);
P7data(1+(stop*2):stop*3) = data2(P7,:);
P8data(1+(stop*2):stop*3) = data2(P8,:);
T7data(1+(stop*2):stop*3) = data2(T7,:);
T8data(1+(stop*2):stop*3) = data2(T8,:);


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% C
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%Get the data into an array
data = dlmread(currentFile, ',');

%Transpose the matrix
data2 = data';

%Split the matrix data2 into its 6 parts
GYROXdata(1+(stop*3):stop*4) = data2(GYROX,:);
GYROYdata(1+(stop*3):stop*4) = data2(GYROY,:);
F3data(1+(stop*3):stop*4) = data2(F3,:);
F4data(1+(stop*3):stop*4) = data2(F4,:);
F7data(1+(stop*3):stop*4) = data2(F7,:);
F8data(1+(stop*3):stop*4) = data2(F8,:);
FC5data(1+(stop*3):stop*4) = data2(FC5,:);
FC6data(1+(stop*3):stop*4) = data2(FC6,:);
AF3data(1+(stop*3):stop*4) = data2(AF3,:);
AF4data(1+(stop*3):stop*4) = data2(AF4,:);
O1data(1+(stop*3):stop*4) = data2(O1,:);
O2data(1+(stop*3):stop*4) = data2(O2,:);
P7data(1+(stop*3):stop*4) = data2(P7,:);
P8data(1+(stop*3):stop*4) = data2(P8,:);
T7data(1+(stop*3):stop*4) = data2(T7,:);
T8data(1+(stop*3):stop*4) = data2(T8,:);

end
