#include <system.h>

#include "TKI_MotorControl.h"
#include <stdlib.h>

void init_motor(void)
{	
	trise = 0;      // port e to output (motor driver)
	trisa = 0;      // port a to output (motor driver)
	trisc.0 = 0;    // RC0 to output (motor driver)
	trisc.1 = 0;	//RC1 to input (LED)RCX
	trisc.2 = 0;
	trisb.0 = 0;	//port b to output
	trisb.1 = 0;
	trisb.2 = 0;
	trisd.3 = 0;	//RD3 to output
	trisd.2 = 0;
	
	enable_motor();
	
	setAllBrake();
}

void enable_motor(void)
{
	latb.0 = 1;//RBO Enable motor 5
	lata.0 = 1;//RA0 Enable motor 4
	latd.3 = 1;//RD3 Emable motor 3
	late.2 = 1;//RE2 Enable motor 2
	lata.3 = 1;//RA3 Enable motor 1
}

void setAllBrake()
{
		set_motor(M1, MOTOR_BREAK);
		set_motor(M2, MOTOR_BREAK);
		set_motor(M3, MOTOR_BREAK);
		set_motor(M4, MOTOR_BREAK);
		set_motor(M5, MOTOR_BREAK);
		setLED(LED_OFF);
}

void control_motors(char input)
{
	// 1: set all to break
	if(input == KEY_1)
	{
		setAllBrake();
	} // 2: set all to forward
	else if (input == KEY_2)
	{
		set_motor(M1, MOTOR_FORWARD);
		set_motor(M2, MOTOR_FORWARD);
		set_motor(M3, MOTOR_FORWARD);
		set_motor(M4, MOTOR_FORWARD);
		set_motor(M5, MOTOR_FORWARD);
	} // 3: set all to reverse
	else if (input == KEY_3)
	{
		set_motor(M1, MOTOR_REVERSE);
		set_motor(M2, MOTOR_REVERSE);
		set_motor(M3, MOTOR_REVERSE);
		set_motor(M4, MOTOR_REVERSE);
		set_motor(M5, MOTOR_REVERSE);
	}
	/* keyboard motor controls:
	// column corresponds to motor
	// row1: break
	// row2: forward
	// row3: reverse */
	
	// M1
	else if (input == KEY_A || input == KEY_Q || input == KEY_Z)
	{
		controlM1(input);
	} // M2
	else if (input == KEY_W || input == KEY_S || input == KEY_X)
	{
		controlM2(input);
	} // M3
	else if (input == KEY_E || input == KEY_D || input == KEY_C)
	{
		controlM3(input);
	} // M4
	else if (input == KEY_R || input == KEY_F || input == KEY_V)
	{
		controlM4(input);
	} // M5
	else if (input == KEY_T || input == KEY_G || input == KEY_B)
	{
		controlM5(input);
	} 	
	else if(input == KEY_L || KEY_O)
	{
		controlLED(input);
	}
}

void set_motor(char motor, char state)
{
	if(motor == M1)
	{
		setM1(state);
	}
	else if(motor == M2)
	{
		setM2(state);
	}
	else if(motor == M3)
	{
		setM3(state);
	}
	else if(motor == M4)
	{
		setM4(state);
	}
	else if(motor == M5)
	{
		setM5(state);
	}
}

void setLED(char state)
{
	if(state == LED_OFF)
	{
		latc.1 = 0;
	}
	else if(state == LED_ON)
	{
		latc.1 = 1;
	}
}

void setM1(char state)
{
	if(state == MOTOR_BREAK) // break
	{
		latc.0 = 0;//RC0
		lata.5 = 0;//RA5
	}
	else if (state == MOTOR_FORWARD) // forward
	{
		latc.0 = 0;//RC0
		lata.5 = 1;//RA5
	}
	else if (state == MOTOR_REVERSE) // reverse
	{
		latc.0 = 1;//RC0
		lata.5 = 0;//RA5
	}
}

void setM2(char state)
{
	if(state == MOTOR_BREAK) // break
	{
		late.1 = 0;
		late.0 = 0;	
	}
	else if (state == MOTOR_FORWARD) // forward
	{
		late.1 = 0;
		late.0 = 1;
	}
	else if (state == MOTOR_REVERSE) // reverse
	{
		late.1 = 1;
		late.0 = 0;
	}
}

void setM3(char state)
{
	if(state == MOTOR_BREAK) // break
	{
		latd.2 = 0;
		latc.2 = 0;
	}
	else if (state == MOTOR_FORWARD) // forward
	{
		latd.2 = 0;
		latc.2 = 1;
	}
	else if (state == MOTOR_REVERSE) // reverse
	{
		latd.2 = 1;
		latc.2 = 0;
	}
}

void setM4(char state)
{
	if(state == MOTOR_BREAK) // break
	{
		lata.1 = 0;
		lata.2 = 0;
	}
	else if (state == MOTOR_FORWARD) // forward
	{
		lata.1 = 0;
		lata.2 = 1;
	}
	else if (state == MOTOR_REVERSE) // reverse
	{
		lata.1 = 1;
		lata.2 = 0;
	}
}

void setM5(char state)
{
	if(state == MOTOR_BREAK) // break
	{
		latb.1 = 0;
		latb.2 = 0;
	}
	else if (state == MOTOR_FORWARD) // forward
	{
		latb.1 = 0;
		latb.2 = 1;
	}
	else if (state == MOTOR_REVERSE) // reverse
	{
		latb.1 = 1;
		latb.2 = 0;
	}
}

void controlLED(char input)
{
	if(input == KEY_L)
	{
		setLED(LED_ON);
	}
	else if (input == KEY_O)
	{
		setLED(LED_OFF);
	}
}

void controlM1(char input)
{
	if (input == KEY_Q)
	{
		set_motor(M1, MOTOR_BREAK);
	}
	else if (input == KEY_A)
	{
		set_motor(M1, MOTOR_FORWARD);
	} 
	else if (input == KEY_Z)
	{
		set_motor(M1, MOTOR_REVERSE);
	}
}

void controlM2(char input)
{
	if (input == KEY_W)
	{
		set_motor(M2, MOTOR_BREAK);
	}
	else if (input == KEY_S)
	{
		set_motor(M2, MOTOR_FORWARD);
	} 
	else if (input == KEY_X)
	{
		set_motor(M2, MOTOR_REVERSE);
	}
}

void controlM3(char input)
{
	if (input == KEY_E)
	{
		set_motor(M3, MOTOR_BREAK);
	}
	else if (input == KEY_D)
	{
		set_motor(M3, MOTOR_FORWARD);
	} 
	else if (input == KEY_C)
	{
		set_motor(M3, MOTOR_REVERSE);
	}
}

void controlM4(char input)
{
	if (input == KEY_R)
	{
		set_motor(M4, MOTOR_BREAK);
	} 
	else if (input == KEY_F)
	{
		set_motor(M4, MOTOR_FORWARD);
	} 
	else if (input == KEY_V)
	{
		set_motor(M4, MOTOR_REVERSE);
	}
}

void controlM5(char input)
{
	if (input == KEY_T)
	{
		set_motor(M5, MOTOR_BREAK);
	} 
	else if (input == KEY_G)
	{
		set_motor(M5, MOTOR_FORWARD);
	} 
	else if (input == KEY_B)
	{
		set_motor(M5, MOTOR_REVERSE);
	}
}