#include <system.h>
#include <stdlib.h>
#include "micro_leddriver.h"

static char toggle_state2 = 0;
static char toggle_state3 = 0;

void init_LED(void)
{
	// LED0
	//  rc2, rb1
	trisc.2 = 0;	// blue
	trisb.1 = 0;	// green
	
	// LED1
	//  rb2, rb5
	trisb.2 = 0;	// green
	trisb.5 = 0;	// red
	
	// LED2
	//  rc0, rc1
	trisc.0 = 0;	// green
	trisc.1 = 0;	// blue
	
	// LED3
	//  rb0, rb4
	trisb.0 = 0;	// blue
	trisb.4 = 0;	// green
	
	setAllOff();
}

 void control_LEDs(char input)
 { 	
    if(input == KEY_G || input == KEY_B )  // state 1
	{
		setLED_state(LED0, STATE_ON1);
		setLED_state(LED1, STATE_OFF);
		setLED_state(LED2, STATE_OFF);
		setLED_state(LED3, STATE_OFF);
	} 
	else if (input == KEY_F || input == KEY_V) // state 2
	{
		///*
		toggle_state2++;
		if(toggle_state2 > 1) toggle_state2 = 0;
		
		if(toggle_state2 == 0)
		{
			setLED_state(LED0, STATE_ON1);
			setLED_state(LED1, STATE_ON2);
			setLED_state(LED2, STATE_OFF);
			setLED_state(LED3, STATE_OFF);
		}
		else if (toggle_state2 == 1)
		{
			setLED_state(LED0, STATE_ON2);
			setLED_state(LED1, STATE_ON1);
			setLED_state(LED2, STATE_OFF);
			setLED_state(LED3, STATE_OFF);
		}		
		//*/
	} 
	else if (input == KEY_D || input == KEY_C) // state 3
	{
		///*
		toggle_state3++;		
		
		// send a different state to each LED
		// states can be 1, 2, or 3
		// should rotate through the colros
	    
	    setLED_state(LED0, 1 + ((toggle_state3 + LED0) % 3));
	    setLED_state(LED1, 1 + ((toggle_state3 + LED1) % 3));
	    setLED_state(LED2, 1 + ((toggle_state3 + LED2) % 3));
	    setLED_state(LED3, 1 + ((toggle_state3 + LED3) % 3));
	    //*/
	}
	else if (input == KEY_1)
	{
	  setAllOff();
	}
} 

void setLED_state(char LED, char state)
{   
   if(LED == LED0)
   {
	 setLED0(state);
   }
   else if(LED == LED1)
   {
     setLED1(state);
   }
   else if(LED == LED2)
   {
     setLED2(state); 
   }
   else if(LED == LED3)
   {
     setLED3(state); 
   }     
 }
 
 void setAllOff(void)
 {
	setLED0(STATE_OFF);
	setLED1(STATE_OFF);
	setLED2(STATE_OFF);
	setLED3(STATE_OFF);
 } 
 
 //  rc2, rb1
 void setLED0(char state)
 {
	switch(state)
	{
		case 0: 
			latc.2 = 0;
			latb.1 = 0;
			break;
		case 1: 
			latc.2 = 1;
			latb.1 = 0;
			break;
		case 2: 
			latc.2 = 0;
			latb.1 = 1;
			break;
		case 3: 
			latc.2 = 1;
			latb.1 = 1;
			break;
	}
 }
 
 //  rb2, rb5
 void setLED1(char state)
 {
	switch(state)
	{
		case 0:
			latb.2 = 0;
			latb.5 = 0;
			break;
		case 1: 
			latb.2 = 1;
			latb.5 = 0;
			break;
		case 2: 
			latb.2 = 0;
			latb.5 = 1;
			break;
		case 3: 
			latb.2 = 1;
			latb.5 = 1;
			break;
	}
 }
 
 //  rc0, rc1
 void setLED2(char state)
 {
	switch(state)
	{
		case 0:
			latc.0 = 0;
			latc.1 = 0;
			break;
		case 1: 
			latc.0 = 1;
			latc.1 = 0;
			break;
		case 2:
			latc.0 = 0;
			latc.1 = 1;
			break;
		case 3: 
			latc.0 = 1;
			latc.1 = 1;
			break;
	}
 }
 
 //  rb0, rb4
 void setLED3(char state)
 {
	switch(state)
	{
		case 0:
			latb.0 = 0;
			latb.4 = 0;
			break;
		case 1: 
			latb.0 = 1;
			latb.4 = 0;
			break;
		case 2: 
			latb.0 = 0;
			latb.4 = 1;
			break;
		case 3: 
			latb.0 = 1;
			latb.4 = 1;
			break;
	}
 }